package com.docus.server.archive.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.archive.entity.AfCollectTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 采集任务 表mapper
 *
 * @author wyb
 */
@DS("archive-mysql")
public interface AfCollectTaskMapper {

    int saveBatch(@Param("tasks") List<AfCollectTask> collectTasks);

    int update(@Param("tasks") List<AfCollectTask> collectTasks);

    List<AfCollectTask> findByPatientIds(@Param("patientIdList") List<String> patientIdList);

    int cancelTask(@Param("taskIds") List<Long> taskIds);

    int cancelFileByTaskId(@Param("taskIds") List<Long> taskIds);

    int cancelFileById(@Param("fileIds") List<Long> fileIds);
}
